Subject: Re: bug#48117: 28.0.50; Update of loaddefs.el during normal build is unreliable

From: Gregory Heytings <[email-masked]>
Date: Fri, 30 Apr 2021 15:01:15 +0000

>
> If you keep rebuilding Emacs from the Git repository using just the 
> "make -jN" commands, to track the development branches, after some time 
> loaddefs.el becomes outdated.  To see the outdated parts, rename 
> loaddefs.el and then say
>
>  $ make -C lisp autoloads-force
>
> Then compare the old loaddefs.el with the newly created one: you will 
> see many changes, depending on when was the last time you bootstrapped 
> or otherwise regenerated loaddefs.el from scratch.
>
> This happens because regeneration of the parts of loaddefs.el affected 
> by Lisp changes is unreliable and misses some changes, in particular 
> those where autoloads from some Lisp files are redirected to private 
> *-loaddefs.el files instead of the common loaddefs.el.
>
> These updates should happen automatically, they should not require 
> people to "make bootstrap" or manually regenerate loaddefs.el.
>

Would it not make sense to include these changes in their respective 
commits?

Another solution would be to have a cron job running somewhere and 
automatically pushing these changes once a day or so.